https://cal-test.adyen.com/cal/services/Account/v6/updateAccountHolderUpdates the `accountHolderDetails` and `processingTier` of an account holder, and adds bank accounts and shareholders. When updating `accountHolderDetails`, parameters that are not included in the request are left unchanged except for the following object: * `metadata`: Updating the metadata replaces the entire object. This means that to update an existing key-value pair, you must provide the changes, as well as other existing key-value pairs. When updating any field in the following objects, you must submit all the fields required for validation: * `address` * `fullPhoneNumber` * `bankAccountDetails.BankAccountDetail` * `businessDetails.shareholders.ShareholderContact` For example, to update the `address.postalCode`, you must also submit the `address.country`, `.city`, `.street`, `.postalCode`, and possibly `.stateOrProvince` so that the address can be validated. To add a bank account or shareholder, provide the bank account or shareholder details without a `bankAccountUUID` or a `shareholderCode`.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://cal-test.adyen.com/cal/services/Account/v6/updateAccountHolder' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://cal-test.adyen.com/cal/services/Account/v6/updateAccountHolderUpdates the `accountHolderDetails` and `processingTier` of an account holder, and adds bank accounts and shareholders. When updating `accountHolderDetails`, parameters that are not included in the request are left unchanged except for the following object: * `metadata`: Updating the metadata replaces the entire object. This means that to update an existing key-value pair, you must provide the changes, as well as other existing key-value pairs. When updating any field in the following objects, you must submit all the fields required for validation: * `address` * `fullPhoneNumber` * `bankAccountDetails.BankAccountDetail` * `businessDetails.shareholders.ShareholderContact` For example, to update the `address.postalCode`, you must also submit the `address.country`, `.city`, `.street`, `.postalCode`, and possibly `.stateOrProvince` so that the address can be validated. To add a bank account or shareholder, provide the bank account or shareholder details without a `bankAccountUUID` or a `shareholderCode`.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://cal-test.adyen.com/cal/services/Account/v6/updateAccountHolder' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}